const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    ebx_global_2d_to_2d_local = z.x # ebx;
    esi_global_2d_to_2d_local = arg1[48] # esi;
    v4_d = z.z[8];
    v2_1e = sqrtl(z.z * z.z + v4_d * v4_d + z.y * z.y);
    v1_24 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+24;
    z.x = z.x & -0x10000 | v1_24;
    __asm_ffree(st0_global_2d_to_2d_local);
    if v1_24 & 0x4000 != 0:;
        v1_89 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+89;
        v3_8b = v1_89 / 256 & 65;
        z.x = z.x & -0x10000 | v1_89 & -0xff01 | 256 * v3_8b;
        if v3_8b == 0:;
            # 0x9e;
            *ebx_global_2d_to_2d_local = esi_global_2d_to_2d_local[16];
            v0_a3 = ebx_global_2d_to_2d_local;
        else:;
            v3_90 = z.x # bp+90;
            z.x = __asm_fyl2x();
            *ebx_global_2d_to_2d_local = v3_90;
            v0_a3 = ebx_global_2d_to_2d_local;
        # 0xa3;
        z.x = v0_a3;
        return v0_a3;
    v3_31 = z.x # bp+31;
    z.x = __asm_fpatan();
    st5_global_2d_to_2d_local = v3_31 / v2_1e # st5;
    v1_49 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+49;
    v3_4b = v1_49 / 256 & 65;
    z.x = z.x & -0x10000 | v1_49 & -0xff01 | 256 * v3_4b;
    if v3_4b == 0:;
        # 0x5d;
        v1_60 = esi_global_2d_to_2d_local[16];
    else:;
        # 0x50;
        z.x = __asm_fyl2x();
        v1_60 = 0.69314718055994529;
    # 0x60;
    *ebx_global_2d_to_2d_local = v1_60;
    *z.y = st5_global_2d_to_2d_local * z.y;
    *z.z = st5_global_2d_to_2d_local * z.z;
    v3_6e = z.z + 8;
    *v3_6e = st5_global_2d_to_2d_local * *v3_6e;
    v0_a3 = ebx_global_2d_to_2d_local;
    # 0xa3;
    z.x = v0_a3;
    return v0_a3;


	}